/* @jsx (curry(_=>eval(_))) */
var { curry, from } = require("generic-jsx");

// Pretty simple shim for parseInt, only we're using named parameters:
function stringToInt({ string, base })
{
    return parseInt(string, base);
}

<stringToInt string = "55" base = { 10 } />();

// Now if we export this, it'll be as if we had set a default parameter.
stringToInt = <stringToInt base = { 10 } />;

<stringToInt string = "55" />();;

<stringToInt string = "55" base = { 12 } />();;

console.log(["1", "2", "3", "4", "5"].map(<stringToInt string = { from(0) }/>) + " vs. " + ["1", "2", "3", "4", "5"].map(parseInt));;
